<template>
  <div
    v-if="show"
    class="fixed inset-0 h-screen w-full bg-black bg-opacity-70 flex items-center justify-center"
  >
    <div class="animate bg-white h-auto w-auto rounded-large overflow-y-auto">
      <slot></slot>
    </div>
  </div>
</template>

<script>
export default {
  name: "modal",
  props: {
    show: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.animate {
  transform: scale(1);
  transition: transform 0.5s linear;
  -webkit-transition: all 0.5s linear;
  //   -webkit-transition: width 300ms ease-in-out, height 300ms ease-in-out;
  //   -moz-transition: width 300ms ease-in-out, height 300ms ease-in-out;
  //   -o-transition: width 300ms ease-in-out, height 300ms ease-in-out;
  //   transition: width 300ms ease-in-out, height 300ms ease-in-out;
}
</style>
